KDE 4.9 PyKDE API Reference

- KDE's Python API

# MessageModel Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.ItemModel → QAbstractTableModel → QAbstractItemModel → QObject
Namespace: Akonadi

## Detailed Description

A flat self-updating message model.

Deprecated:
  Subclass Akonadi.EntityTreeModel instead. An example can be seen in AkonadiConsole, have a look at AkonadiBrowserModel there.

## Enumerations

Column | { Subject, Sender, Receiver, Date, Size }

## Methods

| __init__ (self, QObject parent=0)
int | columnCount (self, QModelIndex parent=QModelIndex())
QVariant | data (self, QModelIndex index, int role=Qt.DisplayRole)
QVariant | headerData (self, int section, Qt::Orientation orientation, int role=Qt.DisplayRole)
QStringList | mimeTypes (self)
int | rowCount (self, QModelIndex parent=QModelIndex())

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Creates a new message model.

Parameters:

  | parent | The parent object.

int columnCount | ( | self, |
|  | QModelIndex | parent=QModelIndex()
| ) |  |  |

Reimplemented from QAbstractItemModel.

QVariant data | ( | self, |
|  | QModelIndex | index,
|  | int | role=Qt.DisplayRole
| ) |  |  |

Reimplemented from QAbstractItemModel.

QVariant headerData | ( | self, |
|  | int | section,
|  | Qt::Orientation | orientation,
|  | int | role=Qt.DisplayRole
| ) |  |  |

Reimplemented from QAbstractItemModel.

QStringList mimeTypes | ( |  | self ) |

Reimplemented from QAbstractItemModel.

int rowCount | ( | self, |
|  | QModelIndex | parent=QModelIndex()
| ) |  |  |

Reimplemented from QAbstractItemModel.

## Enumeration Documentation

Column

Column types.

Enumerator:

  Subject |
  Sender |
  Receiver |
  Date |
  Size |